| Home | Libraries | People | FAQ | More

###### array::array (2 of 11 overloads)

Constructor.

###### Synopsis

    array(
        storage_ptr sp);

###### Description

The constructed array is empty with zero capacity, using the specified memory resource.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.